/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package phonebook;

import java.util.Collections;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;

/**
 *
 * @author apple
 */
public class PhoneBookImpl implements PhoneBook{

    Map<Person,List<Phone>> phoneBook;
    
    public PhoneBookImpl(){
        phoneBook = new TreeMap<Person,List<Phone>>();
    }

    public void addContact(Person person, Phone contact) {
        if(phoneBook.containsKey(person)){
            List<Phone> contacts=phoneBook.get(person);
            contacts.add(contact);
            phoneBook.put(person, contacts);
        }else{
            List<Phone> contacts = new LinkedList<Phone>();
            contacts.add(contact);
            phoneBook.put(person, contacts);
        }
    }

    public List<Phone> contacts(Person person) {
        return Collections.unmodifiableList(phoneBook.get(person));
    }

    public Set<Person> persons() {
        return Collections.unmodifiableSet(phoneBook.keySet());
    }

}
